EjbJar.CMPVersion (Apache Ant API)
Date: 2018-09-12

Package org.apache.tools.ant.taskdefs.optional.ejb

## Class EjbJar.CMPVersion

- java.lang.Object
- - org.apache.tools.ant.types.EnumeratedAttribute
  - - org.apache.tools.ant.taskdefs.optional.ejb.EjbJar.CMPVersion

- Enclosing class:
    EjbJar

      public static class EjbJar.CMPVersion
      extends EnumeratedAttribute

  CMP versions supported valid CMP versions are 1.0 and 2.0
  Since:
    ant 1.6

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `CMP1_0` | 1.0 value
    `static java.lang.String` | `CMP2_0` | 2.0 value

    - ### Fields inherited from class org.apache.tools.ant.types.EnumeratedAttribute

      `value`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CMPVersion()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String[]` | `getValues()` | This is the only method a subclass needs to implement.

    - ### Methods inherited from class org.apache.tools.ant.types.EnumeratedAttribute

      `containsValue, getIndex, getInstance, getValue, indexOfValue, setValue, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### CMP1_0

          public static final java.lang.String CMP1_0

      1.0 value
      See Also:
        Constant Field Values

    - #### CMP2_0

          public static final java.lang.String CMP2_0

      2.0 value
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CMPVersion

          public CMPVersion()

  - ### Method Detail

    - #### getValues

          public java.lang.String[] getValues()

      This is the only method a subclass needs to implement..
      Specified by:
        `getValues` in class `EnumeratedAttribute`
      Returns:
        an array holding all possible values of the enumeration. The order of elements must be fixed so that `indexOfValue(String)` always return the same index for the same value.